/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * SubtableChooser
 * Copyleft (C) 2002 Ola Leifler
 *
 */

package weka.roughset;

import java.io.*;
import java.util.*;

class IntegerSet extends Object {
    
  private HashSet set;
  public IntegerSet(int size){
    set = new HashSet(size);
  }

  public boolean equals(Object o){
    return (((IntegerSet)o).getSet().containsAll(set)&&
	    set.containsAll(((IntegerSet)o).getSet()));
  }

  public void clear(){
    set.clear();
  }

  public void add(Integer i){
    set.add(i);
  }

  public boolean contains(Integer i) {
    return set.contains(i);
  }
    
  public Collection getSet(){
    return set;
  }

  public int size(){
    return set.size();
  }

  public int hashCode(){
    return this.toString().hashCode();
  }

  public int[] toIntArray(){
    int [] nums = new int[set.size()];int i=0;
    for (Iterator iter=set.iterator();iter.hasNext();i++) {
      nums[i] = ((Integer)iter.next()).intValue();
    } // end of for ()
    return nums;
  }

  public String toString(){
    StringBuffer s = new StringBuffer();
    for (Iterator iter=set.iterator();iter.hasNext();) {
      s.append(((Integer)iter.next()).toString() + (iter.hasNext()?" ":"\n"));
    } // end of for ()
    return s.toString();
  }

}
